Package org.eclipse.emf.compare.provider

# Class ExtendedAdapterFactoryItemDelegator

java.lang.Object
org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator
org.eclipse.emf.compare.provider.ExtendedAdapterFactoryItemDelegator

All Implemented Interfaces:
  `IItemDescriptionProvider`, `IItemStyledLabelProvider`, `ISemanticObjectLabelProvider`, `IEditingDomainItemProvider`, `IItemColorProvider`, `IItemFontProvider`, `IItemLabelProvider`, `IItemPropertySource`, `IStructuredItemContentProvider`, `ITableItemColorProvider`, `ITableItemFontProvider`, `ITableItemLabelProvider`, `ITreeItemContentProvider`

public class ExtendedAdapterFactoryItemDelegator extends AdapterFactoryItemDelegator implements IItemStyledLabelProvider, IItemDescriptionProvider, ISemanticObjectLabelProvider
An item provider adapter factory delegator that supports our custom item provider interfaces: `IItemStyledLabelProvider`, `IItemDescriptionProvider` and `ISemanticObjectLabelProvider` .

Since:
  4.0

## Field Summary

### Fields inherited from class org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator

`adapterFactory`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`GRAYED_OUT_COLOR`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

## Constructor Summary

Constructors
Constructor
Description
`ExtendedAdapterFactoryItemDelegator(AdapterFactory adapterFactory)`
Creates a new instance that will use the given adapter factory to respond to its implemented protocol.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription(Object object)`
Returns the description for the given object.
`String`
`getSemanticObjectLabel(Object object)`
Returns the label for the given object.
`IStyledString.IComposedStyledString`
`getStyledText(Object object)`
Returns the styled text label for the given object.

### Methods inherited from class org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator

`createCommand, getAdapterFactory, getBackground, getBackground, getChildren, getColumnImage, getColumnText, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyDescriptors, getText, hasChildren`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtendedAdapterFactoryItemDelegator

public ExtendedAdapterFactoryItemDelegator(AdapterFactory adapterFactory)
Creates a new instance that will use the given adapter factory to respond to its implemented protocol.

Parameters:
  `adapterFactory` - the adapter factory use to adapt.

## Method Details

### getDescription

public String getDescription(Object object)
Returns the description for the given object.

Specified by:
  `getDescription` in interface `IItemDescriptionProvider`
Parameters:
  `object` - the object to evaluate the description for.
Returns:
  the description.
See Also:
  - `IItemDescriptionProvider.getDescription(java.lang.Object)`

### getStyledText

public IStyledString.IComposedStyledString getStyledText(Object object)
Returns the styled text label for the given object.

Specified by:
  `getStyledText` in interface `IItemStyledLabelProvider`
Parameters:
  `object` - the object to evaluate the styled string for.
Returns:
  the styled string.
See Also:
  - `IItemStyledLabelProvider.getStyledText(java.lang.Object)`

### getSemanticObjectLabel

public String getSemanticObjectLabel(Object object)
Returns the label for the given object.

Specified by:
  `getSemanticObjectLabel` in interface `ISemanticObjectLabelProvider`
Parameters:
  `object` - The object to evaluate the label for
Returns:
  the label
Since:
  4.2
See Also:
  - `ISemanticObjectLabelProvider.getSemanticObjectLabel(java.lang.Object)`